#include "chdecl.h"
void CH_disassembler(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c35;
    case 4: goto c50;
    case 5: goto c58;
    case 6: goto c94;
    case 7: goto c96;
    case 8: goto cb102;
    case 9: goto c103;
    case 10: goto c110;
    case 11: goto c113;
    case 12: goto c117;
    case 13: goto cb140;
    case 14: goto c141;
    case 15: goto cb179;
    case 16: goto c180;
    case 17: goto cb182;
    case 18: goto c183;
    case 19: goto c192;
    case 20: goto cb193;
    case 21: goto c194;
    case 22: goto c196;
    case 23: goto c202;
    case 24: goto cb212;
    case 25: goto c213;
    case 26: goto cb220;
    case 27: goto c221;
    case 28: goto c223;
    case 29: goto cb232;
    case 30: goto c233;
    case 31: goto cb243;
    case 32: goto c244;
    case 33: goto cb246;
    case 34: goto c247;
    case 35: goto c250;
    case 36: goto c264;
    case 37: goto c271;
    case 38: goto c276;
    case 39: goto c282;
    case 40: goto c287;
    case 41: goto c292;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_record 4 , 8 */
  if ((ch_val.record = new_record(8)) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_record;
/* copy 4.0 3.4 */
  if((ch_returncode = (REF(3)DOT(4).tsdr->copy)(& ch_val, REF(3)DOT(4).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4)DOT(0).tsdr)->finalize)(REF(4)DOT(0).value,F_DISCARD,sched);
  REF(4)DOT(0).value = ch_val;
  REF(4)DOT(0).tsdr = datarepmap[REF(3)DOT(4).tsdr->number];
/* prog_lit 5 , 2 */
  if ((ch_returncode = che_prog_lit(DEF(5),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 6 5 , 3 */
  if ((ch_returncode = che_procedure(DEF(6),DEF(5),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* move 4.2 6 */
  (*(REF(4)DOT(2).tsdr)->finalize)(REF(4)DOT(2).value,F_DISCARD,sched);
  REF(4)DOT(2) = REF(6);
  REF(6).tsdr = & dr_bottom;
/* prog_lit 7 , 4 */
  if ((ch_returncode = che_prog_lit(DEF(7),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 8 7 , 5 */
  if ((ch_returncode = che_procedure(DEF(8),DEF(7),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* move 4.3 8 */
  (*(REF(4)DOT(3).tsdr)->finalize)(REF(4)DOT(3).value,F_DISCARD,sched);
  REF(4)DOT(3) = REF(8);
  REF(8).tsdr = & dr_bottom;
/* prog_lit 9 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(9),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 10 9 , 7 */
  if ((ch_returncode = che_procedure(DEF(10),DEF(9),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* move 4.4 10 */
  (*(REF(4)DOT(4).tsdr)->finalize)(REF(4)DOT(4).value,F_DISCARD,sched);
  REF(4)DOT(4) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* prog_lit 11 , 8 */
  if ((ch_returncode = che_prog_lit(DEF(11),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 12 11 , 9 */
  if ((ch_returncode = che_procedure(DEF(12),DEF(11),QUAL(9)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* move 4.5 12 */
  (*(REF(4)DOT(5).tsdr)->finalize)(REF(4)DOT(5).value,F_DISCARD,sched);
  REF(4)DOT(5) = REF(12);
  REF(12).tsdr = & dr_bottom;
/* prog_lit 13 , 10 */
  if ((ch_returncode = che_prog_lit(DEF(13),QUAL(10),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 14 13 , 11 */
  if ((ch_returncode = che_procedure(DEF(14),DEF(13),QUAL(11)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* move 4.6 14 */
  (*(REF(4)DOT(6).tsdr)->finalize)(REF(4)DOT(6).value,F_DISCARD,sched);
  REF(4)DOT(6) = REF(14);
  REF(14).tsdr = & dr_bottom;
/* prog_lit 15 , 12 */
  if ((ch_returncode = che_prog_lit(DEF(15),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 16 15 , 13 */
  if ((ch_returncode = che_procedure(DEF(16),DEF(15),QUAL(13)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* move 4.7 16 */
  (*(REF(4)DOT(7).tsdr)->finalize)(REF(4)DOT(7).value,F_DISCARD,sched);
  REF(4)DOT(7) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* chs_lit 17 , ": using ( " */
  if( !chs_lit(DEF(17),": using ( ") ) goto ch_depletion;
/* concat 18 3.2 17 */
  if ((ch_returncode = che_concat(DEF(18),DEF(3)DOT(2),DEF(17)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* move 3.5 18 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* copy 19 4.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(0)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_table;
/* initget 20 19 , 0,0 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(20),DEF(19),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c35:
/* get_or_goto 20 19 , 41 */
  if ((ch_returncode = get_selected_object(DEF(20),DEF(19),sched)) != Normal)
     goto c41;
/* copy 21 20.1 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = & dr_table;
/* merge 3.5 21 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 22 , 32 */
  REF(22).value.ord_enum = 32;
  REF(22).tsdr = & dr_ord_enumeration;
/* insert 3.5 22 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 35 */
   goto c35;
c41:
/* endget 20 19 */
  end_selector(DEF(20),DEF(19),sched,GET);
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* ordenum_lit 23 , 41 */
  REF(23).value.ord_enum = 41;
  REF(23).tsdr = & dr_ord_enumeration;
/* insert 3.5 23 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(23),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 24 , 10 */
  REF(24).value.ord_enum = 10;
  REF(24).tsdr = & dr_ord_enumeration;
/* insert 3.5 24 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(24),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 25 , 14 */
  if ((ch_returncode = che_new_table(DEF(25),QUAL(14),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 26 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val;
  REF(26).tsdr = & dr_table;
/* initget 27 26 , 0,0 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(27),DEF(26),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c50:
/* get_or_goto 27 26 , 113 */
  if ((ch_returncode = get_selected_object(DEF(27),DEF(26),sched)) != Normal)
     goto c113;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* copy 28 27.1 */
  if((ch_returncode = (REF(27)DOT(1).tsdr->copy)(& ch_val, REF(27)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(27)DOT(1).tsdr->number];
/* new_record 30 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val; REF(30).tsdr = & dr_record;
/* new_table 29 , 15 */
  if ((ch_returncode = che_new_table(DEF(29),QUAL(15),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 31 28.4 */
  if((ch_returncode = cp_table(& ch_val, REF(28)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = & dr_table;
/* initget 32 31 , 0,0 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(32),DEF(31),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c58:
/* get_or_goto 32 31 , 83 */
  if ((ch_returncode = get_selected_object(DEF(32),DEF(31),sched)) != Normal)
     goto c83;
/* oege 33 32 =(65) */
  REF(33).value.boolean = (REF(32).value.ord_enum >= 65);
/* oele 34 32 =(90) */
  REF(34).value.boolean = (REF(32).value.ord_enum <= 90);
/* and 35 33 34 */
  REF(35).value.boolean = REF(33).value.boolean&REF(34).value.boolean;
  REF(35).tsdr = & dr_boolean;
/* oege 36 32 =(97) */
  REF(36).value.boolean = (REF(32).value.ord_enum >= 97);
/* oele 37 32 =(122) */
  REF(37).value.boolean = (REF(32).value.ord_enum <= 122);
/* and 38 36 37 */
  REF(38).value.boolean = REF(36).value.boolean&REF(37).value.boolean;
  REF(38).tsdr = & dr_boolean;
/* or 39 35 38 */
  REF(39).value.boolean = REF(35).value.boolean|REF(38).value.boolean;
  REF(39).tsdr = & dr_boolean;
/* oege 40 32 =(48) */
  REF(40).value.boolean = (REF(32).value.ord_enum >= 48);
/* oele 41 32 =(57) */
  REF(41).value.boolean = (REF(32).value.ord_enum <= 57);
/* and 42 40 41 */
  REF(42).value.boolean = REF(40).value.boolean&REF(41).value.boolean;
  REF(42).tsdr = & dr_boolean;
/* or 43 39 42 */
  REF(43).value.boolean = REF(39).value.boolean|REF(42).value.boolean;
  REF(43).tsdr = & dr_boolean;
/* branch_false 43 , 80 */
  if ( !REF(43).value.boolean ) goto c80;
/* copy 44 32 */
  REF(44) = REF(32);
/* insert 29 44 */
  if ((ch_returncode = insertfunc(DEF(29),DEF(44),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 58 */
   goto c58;
c80:
/* ordenum_lit 45 , 95 */
  REF(45).value.ord_enum = 95;
  REF(45).tsdr = & dr_ord_enumeration;
/* insert 29 45 */
  if ((ch_returncode = insertfunc(DEF(29),DEF(45),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 58 */
   goto c58;
c83:
/* endget 32 31 */
  end_selector(DEF(32),DEF(31),sched,GET);
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* size 46 29 */
  REF(46).value.integer = REF(29).value.table->size;
  REF(46).tsdr = & dr_integer;
/* notequal . 46 =(0) , 91 */
  if ( REF(46).value.integer != 0 ) goto c91;
/* copy 30.1 3.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(30)DOT(1).tsdr)->finalize)(REF(30)DOT(1).value,F_DISCARD,sched);
  REF(30)DOT(1).value = ch_val;
  REF(30)DOT(1).tsdr = & dr_table;
/* branch , 92 */
   goto c92;
c91:
/* copy 30.1 29 */
  if((ch_returncode = cp_table(& ch_val, REF(29).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(30)DOT(1).tsdr)->finalize)(REF(30)DOT(1).value,F_DISCARD,sched);
  REF(30)DOT(1).value = ch_val;
  REF(30)DOT(1).tsdr = & dr_table;
c92:
/* ilit 47 , 1 */
  REF(47).value.integer = 1;
  REF(47).tsdr = & dr_integer;
c94:
/* boolean 48 , FALSE */
  REF(48).value.boolean = FALSE;
  REF(48).tsdr = & dr_boolean;
/* initget 49 25 , 0,0 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(49),DEF(25),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c96:
/* get_or_goto 49 25 , 100 */
  if ((ch_returncode = get_selected_object(DEF(49),DEF(25),sched)) != Normal)
     goto c100;
/* notequal . 49.1 30.1 , 96 */
  if ( !eq_table(REF(49)DOT(1).value,REF(30)DOT(1).value) ) goto c96;
/* boolean 48 , TRUE */
  REF(48).value.boolean = TRUE;
  REF(48).tsdr = & dr_boolean;
c100:
/* endget 49 25 */
  end_selector(DEF(49),DEF(25),sched,GET);
/* branch_false 48 , 110 */
  if ( !REF(48).value.boolean ) goto c110;
  current->ip = 8;
cb102:
/* call 4.6 47 50 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(6),
          arguments[1] = DEF(47),
          arguments[2] = DEF(50),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c103:
/* concat 51 29 50 */
  if ((ch_returncode = che_concat(DEF(51),DEF(29),DEF(50),sched)) != Normal)
     goto ch_raise_exception;
/* discard 50 */
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).tsdr = & dr_bottom;
/* move 30.1 51 */
  (*(REF(30)DOT(1).tsdr)->finalize)(REF(30)DOT(1).value,F_DISCARD,sched);
  REF(30)DOT(1) = REF(51);
  REF(51).tsdr = & dr_bottom;
/* iadd 47 47 =(1) */
  if (!chf_iadd(DEF(47),REF(47).value.integer,1)) goto ch_depletion;
/* branch , 94 */
   goto c94;
c110:
/* copy 30.0 27.0 */
  if((ch_returncode = (REF(27)DOT(0).tsdr->copy)(& ch_val, REF(27)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(30)DOT(0).tsdr)->finalize)(REF(30)DOT(0).value,F_DISCARD,sched);
  REF(30)DOT(0).value = ch_val;
  REF(30)DOT(0).tsdr = datarepmap[REF(27)DOT(0).tsdr->number];
/* insert 25 30 */
  if ((ch_returncode = insertfunc(DEF(25),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 50 */
   goto c50;
c113:
/* endget 27 26 */
  end_selector(DEF(27),DEF(26),sched,GET);
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* copy 52 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = & dr_table;
/* initget 53 52 , 0,0 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(53),DEF(52),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c117:
/* get_or_goto 53 52 , 271 */
  if ((ch_returncode = get_selected_object(DEF(53),DEF(52),sched)) != Normal)
     goto c271;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 4.1 */
  (*(REF(4)DOT(1).tsdr)->finalize)(REF(4)DOT(1).value,F_DISCARD,sched);
  REF(4)DOT(1).tsdr = & dr_bottom;
/* copy 28 53.1 */
  if((ch_returncode = (REF(53)DOT(1).tsdr->copy)(& ch_val, REF(53)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(53)DOT(1).tsdr->number];
/* copy 56 53.0 */
  if((ch_returncode = (REF(53)DOT(0).tsdr->copy)(& ch_val, REF(53)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).value = ch_val;
  REF(56).tsdr = datarepmap[REF(53)DOT(0).tsdr->number];
/* unite 4.0.2 56 , 0 */
  if ((ch_returncode = che_unite(DEF(4)DOT(0)DOT(2),DEF(56),sched,0
    )) != Normal) goto ch_raise_exception;
/* notequal . 53.0 3.1 , 129 */
  if ( !(REF(53)DOT(0).tsdr->equal)(REF(53)DOT(0).value,REF(3)DOT(1).value) )
     goto c129;
/* chs_lit 57 , "main " */
  if( !chs_lit(DEF(57),"main ") ) goto ch_depletion;
/* merge 3.5 57 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(57),FALSE,0)) != Normal)
     goto ch_raise_exception;
c129:
/* new_record 4.1 , 8 */
  if ((ch_val.record = new_record(8)) == nil) goto ch_depletion;
  (*(REF(4)DOT(1).tsdr)->finalize)(REF(4)DOT(1).value,F_DISCARD,sched);
  REF(4)DOT(1).value = ch_val; REF(4)DOT(1).tsdr = & dr_record;
/* find 58 25 53.0 , 0 */
  if (findfunc(DEF(58),DEF(25),(
          arguments[0] = DEF(53)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 4.1.0 58.1 */
  if((ch_returncode = cp_table(& ch_val, REF(58)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4)DOT(1)DOT(0).tsdr)->finalize)(REF(4)DOT(1)DOT(0).value
    ,F_DISCARD,sched);
  REF(4)DOT(1)DOT(0).value = ch_val;
  REF(4)DOT(1)DOT(0).tsdr = & dr_table;
/* chs_lit 4.1.1 , "LI" */
  if( !chs_lit(DEF(4)DOT(1)DOT(1),"LI") ) goto ch_depletion;
/* copy 4.1.2 4.1.0 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(1)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4)DOT(1)DOT(2).tsdr)->finalize)(REF(4)DOT(1)DOT(2).value
    ,F_DISCARD,sched);
  REF(4)DOT(1)DOT(2).value = ch_val;
  REF(4)DOT(1)DOT(2).tsdr = & dr_table;
/* chs_lit 59 , "_exit" */
  if( !chs_lit(DEF(59),"_exit") ) goto ch_depletion;
/* concat 60 4.1.0 59 */
  if ((ch_returncode = che_concat(DEF(60),DEF(4)DOT(1)DOT(0),DEF(59)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* move 4.1.3 60 */
  (*(REF(4)DOT(1)DOT(3).tsdr)->finalize)(REF(4)DOT(1)DOT(3).value
    ,F_DISCARD,sched);
  REF(4)DOT(1)DOT(3) = REF(60);
  REF(60).tsdr = & dr_bottom;
/* size 61 28.3 */
  REF(61).value.integer = REF(28)DOT(3).value.table->size;
  REF(61).tsdr = & dr_integer;
  current->ip = 13;
cb140:
/* call 4.6 61 62 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(6),
          arguments[1] = DEF(61),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c141:
/* size 63 62 */
  REF(63).value.integer = REF(62).value.table->size;
  REF(63).tsdr = & dr_integer;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
/* move 64 63 */
  REF(64) = REF(63);
  REF(63).tsdr = & dr_bottom;
/* chs_lit 65 , "/\052*\057 " */
  if( !chs_lit(DEF(65),"/\052*\057 ") ) goto ch_depletion;
/* size 66 65 */
  REF(66).value.integer = REF(65).value.table->size;
  REF(66).tsdr = & dr_integer;
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
/* size 67 4.1.1 */
  REF(67).value.integer = REF(4)DOT(1)DOT(1).value.table->size;
  REF(67).tsdr = & dr_integer;
/* iadd 68 66 67 */
  if (!chf_iadd(DEF(68),REF(66).value.integer,REF(67).value.integer))
     goto ch_depletion;
/* iadd 69 68 64 */
  if (!chf_iadd(DEF(69),REF(68).value.integer,REF(64).value.integer))
     goto ch_depletion;
/* chs_lit 70 , ": " */
  if( !chs_lit(DEF(70),": ") ) goto ch_depletion;
/* size 71 70 */
  REF(71).value.integer = REF(70).value.table->size;
  REF(71).tsdr = & dr_integer;
/* discard 70 */
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).tsdr = & dr_bottom;
/* size 72 4.1.2 */
  REF(72).value.integer = REF(4)DOT(1)DOT(2).value.table->size;
  REF(72).tsdr = & dr_integer;
/* iadd 73 71 72 */
  if (!chf_iadd(DEF(73),REF(71).value.integer,REF(72).value.integer))
     goto ch_depletion;
/* iadd 74 73 64 */
  if (!chf_iadd(DEF(74),REF(73).value.integer,REF(64).value.integer))
     goto ch_depletion;
/* ile . 69 74 , 162 */
  if ( REF(69).value.integer <= REF(74).value.integer ) goto c162;
/* move 4.1.5 69 */
  REF(4)DOT(1)DOT(5) = REF(69);
  REF(69).tsdr = & dr_bottom;
/* branch , 163 */
   goto c163;
c162:
/* move 4.1.5 74 */
  REF(4)DOT(1)DOT(5) = REF(74);
  REF(74).tsdr = & dr_bottom;
c163:
/* ilit 4.1.4 , 0 */
  REF(4)DOT(1)DOT(4).value.integer = 0;
  REF(4)DOT(1)DOT(4).tsdr = & dr_integer;
/* new_table 4.1.6 , 17 */
  if ((ch_returncode = che_new_table(DEF(4)DOT(1)DOT(6),QUAL(17)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 4.1.7 , 18 */
  if ((ch_returncode = che_new_table(DEF(4)DOT(1)DOT(7),QUAL(18)
    ,sched)) != Normal)  goto ch_raise_exception;
/* chs_lit 75 , "process " */
  if( !chs_lit(DEF(75),"process ") ) goto ch_depletion;
/* concat 76 75 4.1.0 */
  if ((ch_returncode = che_concat(DEF(76),DEF(75),DEF(4)DOT(1)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 75 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  REF(75).tsdr = & dr_bottom;
/* chs_lit 77 , " " */
  if( !chs_lit(DEF(77)," ") ) goto ch_depletion;
/* concat 78 76 77 */
  if ((ch_returncode = che_concat(DEF(78),DEF(76),DEF(77),sched)) != Normal)
     goto ch_raise_exception;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* merge 3.5 78 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(78),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 79 28.2 */
  if((ch_returncode = (REF(28)DOT(2).tsdr->copy)(& ch_val, REF(28)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = datarepmap[REF(28)DOT(2).tsdr->number];
/* unite 54 79 , 14 */
  if ((ch_returncode = che_unite(DEF(54),DEF(79),sched,14)) != Normal)
     goto ch_raise_exception;
/* enum_lit 80 , 114 */
  REF(80).value.enumeration = 114;
  REF(80).tsdr = & dr_enumeration;
  current->ip = 15;
cb179:
/* call 4.5 4 54 80 25 81 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(5),
          arguments[1] = DEF(4),
          arguments[2] = DEF(54),
          arguments[3] = DEF(80),
          arguments[4] = DEF(25),
          arguments[5] = DEF(81),
          arguments[5+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c180:
/* merge 3.5 81 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(81),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 82 , " " */
  if( !chs_lit(DEF(82)," ") ) goto ch_depletion;
  current->ip = 17;
cb182:
/* call 4.6 28.1 83 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(6),
          arguments[1] = DEF(28)DOT(1),
          arguments[2] = DEF(83),
          arguments[2+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c183:
/* concat 84 82 83 */
  if ((ch_returncode = che_concat(DEF(84),DEF(82),DEF(83),sched)) != Normal)
     goto ch_raise_exception;
/* discard 82 */
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).tsdr = & dr_bottom;
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* merge 3.5 84 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(84),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 85 , 10 */
  REF(85).value.ord_enum = 10;
  REF(85).tsdr = & dr_ord_enumeration;
/* insert 3.5 85 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(85),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 55 , 20 */
  if ((ch_returncode = che_new_table(DEF(55),QUAL(20),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 86 28.3 */
  if((ch_returncode = cp_table(& ch_val, REF(28)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val;
  REF(86).tsdr = & dr_table;
/* initget 87 86 , 0,0 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(87),DEF(86),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c192:
/* get_or_goto 87 86 , 196 */
  if ((ch_returncode = get_selected_object(DEF(87),DEF(86),sched)) != Normal)
     goto c196;
  current->ip = 20;
cb193:
/* call 4.2 4 87 25 88 , 21 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(87),
          arguments[3] = DEF(25),
          arguments[4] = DEF(88),
          arguments[4+1] = nil,& arguments[0]),QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
  return;
c194:
/* insert 55 88 */
  if ((ch_returncode = insertfunc(DEF(55),DEF(88),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 192 */
   goto c192;
c196:
/* endget 87 86 */
  end_selector(DEF(87),DEF(86),sched,GET);
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* ilit 89 , 0 */
  REF(89).value.integer = 0;
  REF(89).tsdr = & dr_integer;
/* copy 90 55 */
  if((ch_returncode = cp_table(& ch_val, REF(55).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val;
  REF(90).tsdr = & dr_table;
/* initget 91 90 , 0,0 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(91),DEF(90),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c202:
/* get_or_goto 91 90 , 264 */
  if ((ch_returncode = get_selected_object(DEF(91),DEF(90),sched)) != Normal)
     goto c264;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* boolean 93 , FALSE */
  REF(93).value.boolean = FALSE;
  REF(93).tsdr = & dr_boolean;
/* position 94 91 */
  ch_frame = get_selector_frame(DEF(91),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(94).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(94).tsdr = &dr_integer;
/* find_or_goto 95 4.1.7 94 , 0,208 */
  if (findfunc(DEF(95),DEF(4)DOT(1)DOT(7),(
          arguments[0] = DEF(94),& arguments[0]),sched,0) == FAILURE) goto c208;
/* boolean 93 , TRUE */
  REF(93).value.boolean = TRUE;
  REF(93).tsdr = & dr_boolean;
c208:
/* branch_false 93 , 223 */
  if ( !REF(93).value.boolean ) goto c223;
/* position 96 91 */
  ch_frame = get_selector_frame(DEF(91),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(96).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(96).tsdr = &dr_integer;
/* unite 54 96 , 2 */
  if ((ch_returncode = che_unite(DEF(54),DEF(96),sched,2)) != Normal)
     goto ch_raise_exception;
/* enum_lit 97 , 109 */
  REF(97).value.enumeration = 109;
  REF(97).tsdr = & dr_enumeration;
  current->ip = 24;
cb212:
/* call 4.5 4 54 97 25 98 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(5),
          arguments[1] = DEF(4),
          arguments[2] = DEF(54),
          arguments[3] = DEF(97),
          arguments[4] = DEF(25),
          arguments[5] = DEF(98),
          arguments[5+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c213:
/* chs_lit 99 , ":" */
  if( !chs_lit(DEF(99),":") ) goto ch_depletion;
/* concat 100 98 99 */
  if ((ch_returncode = che_concat(DEF(100),DEF(98),DEF(99),sched)) != Normal)
     goto ch_raise_exception;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* move 92 100 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92) = REF(100);
  REF(100).tsdr = & dr_bottom;
/* size 101 92 */
  REF(101).value.integer = REF(92).value.table->size;
  REF(101).tsdr = & dr_integer;
/* isubtract 102 4.1.5 101 */
  if (!chf_isubtract(DEF(102),REF(4)DOT(1)DOT(5).value.integer,
    REF(101).value.integer)) goto ch_depletion;
  current->ip = 26;
cb220:
/* call 4.7 102 103 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(7),
          arguments[1] = DEF(102),
          arguments[2] = DEF(103),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c221:
/* merge 92 103 */
  if ((ch_returncode = mergefunc(DEF(92),DEF(103),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 250 */
   goto c250;
c223:
/* noop */
  
/* notequal . 89 =(0) , 246 */
  if ( REF(89).value.integer != 0 ) goto c246;
/* position 104 91 */
  ch_frame = get_selector_frame(DEF(91),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(104).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(104).tsdr = &dr_integer;
/* unite 54 104 , 2 */
  if ((ch_returncode = che_unite(DEF(54),DEF(104),sched,2)) != Normal)
     goto ch_raise_exception;
/* chs_lit 105 , "/\052" */
  if( !chs_lit(DEF(105),"/\052") ) goto ch_depletion;
/* concat 106 105 4.1.1 */
  if ((ch_returncode = che_concat(DEF(106),DEF(105),DEF(4)DOT(1)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* enum_lit 107 , 114 */
  REF(107).value.enumeration = 114;
  REF(107).tsdr = & dr_enumeration;
  current->ip = 29;
cb232:
/* call 4.5 4 54 107 25 108 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(5),
          arguments[1] = DEF(4),
          arguments[2] = DEF(54),
          arguments[3] = DEF(107),
          arguments[4] = DEF(25),
          arguments[5] = DEF(108),
          arguments[5+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c233:
/* concat 109 106 108 */
  if ((ch_returncode = che_concat(DEF(109),DEF(106),DEF(108)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* chs_lit 110 , "*\057" */
  if( !chs_lit(DEF(110),"*\057") ) goto ch_depletion;
/* concat 111 109 110 */
  if ((ch_returncode = che_concat(DEF(111),DEF(109),DEF(110)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 109 */
  (*(REF(109).tsdr)->finalize)(REF(109).value,F_DISCARD,sched);
  REF(109).tsdr = & dr_bottom;
/* discard 110 */
  (*(REF(110).tsdr)->finalize)(REF(110).value,F_DISCARD,sched);
  REF(110).tsdr = & dr_bottom;
/* move 92 111 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92) = REF(111);
  REF(111).tsdr = & dr_bottom;
/* size 112 92 */
  REF(112).value.integer = REF(92).value.table->size;
  REF(112).tsdr = & dr_integer;
/* isubtract 113 4.1.5 112 */
  if (!chf_isubtract(DEF(113),REF(4)DOT(1)DOT(5).value.integer,
    REF(112).value.integer)) goto ch_depletion;
  current->ip = 31;
cb243:
/* call 4.7 113 114 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(7),
          arguments[1] = DEF(113),
          arguments[2] = DEF(114),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c244:
/* merge 92 114 */
  if ((ch_returncode = mergefunc(DEF(92),DEF(114),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 250 */
   goto c250;
c246:
  current->ip = 33;
cb246:
/* call 4.7 4.1.5 115 , 22 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4)DOT(7),
          arguments[1] = DEF(4)DOT(1)DOT(5),
          arguments[2] = DEF(115),
          arguments[2+1] = nil,& arguments[0]),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  return;
c247:
/* move 92 115 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92) = REF(115);
  REF(115).tsdr = & dr_bottom;
c250:
/* concat 116 92 91 */
  if ((ch_returncode = che_concat(DEF(116),DEF(92),DEF(91),sched)) != Normal)
     goto ch_raise_exception;
/* merge 3.5 116 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(116),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 117 , 10 */
  REF(117).value.ord_enum = 10;
  REF(117).tsdr = & dr_ord_enumeration;
/* insert 3.5 117 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(117),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 89 =(0) , 260 */
  if ( REF(89).value.integer != 0 ) goto c260;
/* ilit 89 , 4 */
  REF(89).value.integer = 4;
  REF(89).tsdr = & dr_integer;
/* branch , 202 */
   goto c202;
c260:
/* noop */
  
/* isubtract 89 89 =(1) */
  if (!chf_isubtract(DEF(89),REF(89).value.integer,1)) goto ch_depletion;
/* branch , 202 */
   goto c202;
c264:
/* endget 91 90 */
  end_selector(DEF(91),DEF(90),sched,GET);
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* chs_lit 118 , "end" */
  if( !chs_lit(DEF(118),"end") ) goto ch_depletion;
/* merge 3.5 118 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(118),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 119 , 10 */
  REF(119).value.ord_enum = 10;
  REF(119).tsdr = & dr_ord_enumeration;
/* insert 3.5 119 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(119),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 117 */
   goto c117;
c271:
/* endget 53 52 */
  end_selector(DEF(53),DEF(52),sched,GET);
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 287 */
   goto c287;
c276:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 3.5 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).tsdr = & dr_bottom;
/* return_exception 3 , 23 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(23),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(23));
  REF(3).tsdr = & dr_bottom;
/* branch , 287 */
   goto c287;
c282:
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* discard 3.5 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).tsdr = & dr_bottom;
/* return_exception 3 , 23 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(23),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(23));
  REF(3).tsdr = & dr_bottom;
c287:
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 4.1 */
  (*(REF(4)DOT(1).tsdr)->finalize)(REF(4)DOT(1).value,F_DISCARD,sched);
  REF(4)DOT(1).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c292:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
